Uses of Class
ubic.gemma.model.common.auditAndSecurity.curation.TicketSummaryForTargetValueObject
Packages that use TicketSummaryForTargetValueObject
-
Uses of TicketSummaryForTargetValueObject in ubic.gemma.persistence.service.common.auditAndSecurity.curation
Methods in ubic.gemma.persistence.service.common.auditAndSecurity.curation that return types with arguments of type TicketSummaryForTargetValueObjectModifier and TypeMethodDescriptionTicketDao.findOpenSummariesForTargets(TicketTargetType targetType, Collection<Long> targetIds) Bulk counterpart toTicketDao.findOpenForTarget(TicketTargetType, Long): the same open-ticket question asked about a whole page of targets in one query, keyed by target id.TicketDaoImpl.findOpenSummariesForTargets(TicketTargetType targetType, Collection<Long> targetIds) TicketService.findOpenSummariesForTargets(TicketTargetType targetType, Collection<Long> targetIds) TicketServiceImpl.findOpenSummariesForTargets(TicketTargetType targetType, Collection<Long> targetIds) -
Uses of TicketSummaryForTargetValueObject in ubic.gemma.rest
Methods in ubic.gemma.rest that return types with arguments of type TicketSummaryForTargetValueObjectModifier and TypeMethodDescriptionDatasetsWebService.getDatasetTicketsBulk(DatasetsWebService.DatasetTicketsBulkRequest body) TicketsWebService.openTicketSummariesForExpressionExperiments(Collection<Long> eeIds) Public hook forDatasetsWebService's bulkPOST /datasets/tickets: the same questionTicketsWebService.openTicketsForExpressionExperiment(Long)answers for one dataset, asked about a page of them in one query.